2021-05-27 19:38:40 UTC
40.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:7aa04a8f7710c18952348aa54b4346438ad013c87b6f7d476eb21ad756359bc3 - 6.63% (2.67 MB)
[#001] sha256:c198c4a0907de361b9acd037713610a99f52497c63bf5f9049fbff1c097d7431 - 0.0% (1.23 KB)
[#002] sha256:90b3ecea44cffee4a11a03d329bf84b819eab2d757de32fd0d011e49e2eefd06 - 93.36% (37.6 MB)
[#003] sha256:6aee56dcd125e22848710a0a7007c313fb66233d5c98e59b0b540150c2fbb754 - 0.0% (175 Bytes)
[#004] sha256:860eb18de9724a0ac6f287f518be5a6f0c5804ab88f21d80c6d0b58558bf4540 - 0.0% (155 Bytes)
[#005] sha256:804b36e03ab5c73f07c859b427671e4f92fb870aa0582c73a9c17bb38e78598c - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:0a694887033953f24197dedcb1098d28a4b6e539b29386f53d82262107e208fb in /
2021-04-14 18:38:36 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-04-14 18:55:36 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-05-27 19:38:27 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-beta3
2021-05-27 19:38:28 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-beta3
2021-05-27 19:38:28 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-05-27 19:38:29 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-05-27 19:38:37 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-05-27 19:38:38 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-05-27 19:38:38 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-05-27 19:38:39 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-05-27 19:38:39 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-05-27 19:38:39 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-05-27 19:38:39 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-05-27 19:38:39 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-05-27 19:38:40 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-05-27 19:38:40 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-05-27 19:21:07 UTC
40.8 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:339de151aab4bc06eed8409daae147c408478cb538dacb90cc63f19ad4eba80b - 6.54% (2.67 MB)
[#001] sha256:96faea97031d3818af0b594530ffbe864540c0a2a25e6174e63a285fb3bd722c - 0.0% (1.23 KB)
[#002] sha256:7d7b860f551db1f48a36f118caf3dc1bcd44d85399ee889e802068bc2a138a6b - 93.45% (38.2 MB)
[#003] sha256:52ce4f30a78ae7c4adf3b4add86246d386fadfc03dffec9cfb43ad263fb7bba1 - 0.0% (174 Bytes)
[#004] sha256:c3a911cc74a09a495768f61a90683b14c28773376a91c75f398804c5131e87da - 0.0% (154 Bytes)
[#005] sha256:ac22733350cde936af2686dacdf95e0b5bae20575c82ee715d3118ff5fe2f14a - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:4f526aa99067d82b341f7ca538f7826b7c23a628f1b615eea2883a2d434c1b90 in /
2021-04-14 19:19:49 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-04-14 20:14:28 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-05-27 19:20:54 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-beta3
2021-05-27 19:20:54 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-beta3
2021-05-27 19:20:55 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-05-27 19:20:55 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-05-27 19:21:04 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-05-27 19:21:05 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-05-27 19:21:06 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-05-27 19:21:06 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-05-27 19:21:06 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-05-27 19:21:06 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-05-27 19:21:06 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-05-27 19:21:07 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-05-27 19:21:07 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-05-27 19:21:07 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-05-27 18:49:45 UTC
37 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:b452d2916bdfd021add56f1eda6bdea35400671ef07b38316ef82fce92a88fee - 6.71% (2.48 MB)
[#001] sha256:4f7bf1b923c88e2ea92b7b2852cd8fa3615c9083c661f3057bf897daea86603a - 0.0% (1.23 KB)
[#002] sha256:5746e585803f61b47875e74aa2694af5930a2ca89d6d5ebdbf02979c964ae765 - 93.28% (34.5 MB)
[#003] sha256:c20c9bf924fc343216715a2b8a97eae9b8837176dc08069a2f03253b17aefda3 - 0.0% (174 Bytes)
[#004] sha256:67e405f1ed11204fb28e37a0b8395822e843d572c585815ddfbd11393f2e6114 - 0.0% (153 Bytes)
[#005] sha256:d9101230fd2bcdbca9b20bd51883edb0ea5f2f7b11fa30b43eb74b087349c781 - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:82fa6a18d24e3f535c9061d2e111d63fe6d8a27710bb34a17b326e605ff478be in /
2021-04-14 18:49:50 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-05-27 18:49:30 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-05-27 18:49:30 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-beta3
2021-05-27 18:49:30 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-beta3
2021-05-27 18:49:30 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-05-27 18:49:32 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-05-27 18:49:41 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-05-27 18:49:42 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-05-27 18:49:43 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-05-27 18:49:43 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-05-27 18:49:43 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-05-27 18:49:43 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-05-27 18:49:44 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-05-27 18:49:44 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-05-27 18:49:44 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-05-27 18:49:45 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-05-27 22:03:17 UTC
37 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:d2f70382dc9a1658ea3491d7ab4439c22087e426c00e3eb7daf825b83be4ba9c - 6.99% (2.59 MB)
[#001] sha256:36cd28428b76d932807b24806016f9b79e14233d317752dfec5b92d7d249bce8 - 0.0% (1.23 KB)
[#002] sha256:44e7233e482558ea2c84f343a1af675c64ea6685bb34a464137fea00943c610d - 93.01% (34.4 MB)
[#003] sha256:90b55cc5bf7ef1f55189fc6bbe059a768afec5470c6f19b819d25bcc8e12b7bc - 0.0% (174 Bytes)
[#004] sha256:22d81a8035eb5aa45135f110fcb2f36ef57defb5cee8f5856b87921c3f566c22 - 0.0% (153 Bytes)
[#005] sha256:b3d39d7e32d581d10557f88c2f2ab65abf4dc406982150465c823a4dba092715 - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:3db1e10ac5ebf1cb34939eff736f1384f7d3b17355758cec361489fa7a7e19ca in /
2021-04-14 18:42:55 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-05-27 22:02:34 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>
2021-05-27 22:02:34 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-beta3
2021-05-27 22:02:34 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-beta3
2021-05-27 22:02:34 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-05-27 22:02:35 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-05-27 22:03:14 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-05-27 22:03:15 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-05-27 22:03:15 UTC|1 CONSUL_VERSION=1.10.0-beta3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-05-27 22:03:16 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-05-27 22:03:16 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-05-27 22:03:16 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-05-27 22:03:16 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-05-27 22:03:16 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2021-05-27 22:03:17 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-05-27 22:03:17 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]